%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.6
Release:	%mkrel 18
License:	MIT
Group:		Development/Python
Url:		https://github.com/seb-m/pyinotify
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Source1:	%{oname}
# Remove references to asyncore, no more included since Python 3.12
# see https://github.com/lexdene/pyinotify/commit/dbc19878b3b3e50d9a065c3d5290002eb9b61372
Patch0:		dbc19878b3b3e50d9a065c3d5290002eb9b61372.patch
BuildArch:	noarch

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since
kernel 2.6.13). inotify is an event-driven notification mechanism, its
notifications are exported to user space through three system calls.
Pyinotify binds these system calls and provides an implementation on
top of them.

%package -n python3-%{oname}
Summary:	Python 3 module for monitoring filesystems changes
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}
Obsoletes:      python2-%{oname} < 0.9.6-6

%description -n python3-%{oname}
Pyinotify is a pure Python 3 module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since
kernel 2.6.13). inotify is an event-driven notification mechanism, its
notifications are exported to user space through three system calls.
Pyinotify binds these system calls and provides an implementation on
top of them.

%prep
%setup -q -n %{oname}-%{version}

%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyinotify

%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/%{oname}
%{__chmod} 0755 %{buildroot}%{python3_sitelib}/%{oname}.py
%{python3} /usr/lib/rpm/redhat/pathfix.py -pni "%{__python3} %{py3_shbang_opts}" \
    %{buildroot}%{python3_sitelib}/pyinotify.py \
    %{buildroot}%{_bindir}/pyinotify

%files -n python3-%{oname} -f %{pyproject_files}
%doc README*
%{_bindir}/%{oname}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.6-18.mga10
+ Revision: 2238744
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.9.6-17.mga10
+ Revision: 2155578
- rebuild for python3.13

* Tue Jan 23 2024 papoteur <papoteur> 0.9.6-16.mga10
+ Revision: 2033676
- remove reference to asyncore, not in python 3.12

* Wed Dec 20 2023 tv <tv> 0.9.6-15.mga10
+ Revision: 2020494
- Fix pathfix.py path
+ papoteur <papoteur>
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.9.6-14.mga9
+ Revision: 1822594
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.9.6-13.mga9
+ Revision: 1774448
- update to python 3.10

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.9.6-12.mga9
+ Revision: 1774431
- rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 0.9.6-11.mga9
+ Revision: 1703797
- rebuild for python 3.9

* Sat May 16 2020 wally <wally> 0.9.6-10.mga8
+ Revision: 1584672
- BR setuptools for egg-info dir creation
- drop unneeded %%post

* Sat May 16 2020 guillomovitch <guillomovitch> 0.9.6-9.mga8
+ Revision: 1584666
- fix ambiguous python shebang
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 tv <tv> 0.9.6-7.mga8
+ Revision: 1446583
- fix dir vs file upgrade

* Wed Sep 25 2019 wally <wally> 0.9.6-6.mga8
+ Revision: 1445918
- really obsolete old python2 pkg
- obsolete old python2 pkg

* Sat Sep 14 2019 tv <tv> 0.9.6-4.mga8
+ Revision: 1440567
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jan 06 2019 kekepower <kekepower> 0.9.6-3.mga7
+ Revision: 1350234
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.6-2.mga7
+ Revision: 1289783
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 0.9.6-1.mga7
+ Revision: 1212585
- Update to version 0.9.6
- Renamed python-pyinotify to python2-pyinotify
- Using python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.9.4-10.mga7
+ Revision: 1135571
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.4-9.mga6
+ Revision: 970966
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.4-8.mga6
+ Revision: 888846
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-7.mga5
+ Revision: 749616
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-6.mga5
+ Revision: 729461
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-5.mga5
+ Revision: 688260
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.4-4.mga5
+ Revision: 628949
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4-3.mga4
+ Revision: 543977
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4-2.mga4
+ Revision: 499223
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.9.4-1.mga4
+ Revision: 474133
- Update to 0.9.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 379368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 philippem <philippem> 0.9.3-1.mga2
+ Revision: 207299
- Update to O.9.3.

* Wed Oct 26 2011 philippem <philippem> 0.9.2-1.mga2
+ Revision: 158288
- New upstream 0.9.2

* Thu Mar 10 2011 ahmad <ahmad> 0.9.1-2.mga1
+ Revision: 67345
- imported package python-pyinotify


* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 591120
- new version 0.9.1
- fix url & license
- drop py_requires macro

* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 550143
- update to new version 0.9.0

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.9-1mdv2010.1
+ Revision: 489190
- update to new version 0.8.9

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.8.9

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.8-1mdv2010.1
+ Revision: 462260
- update to new version 0.8.8

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.7-1mdv2010.0
+ Revision: 449203
- Update to new version 0.8.7
- Remove libc version check patch integrated upstream

* Sun Jun 07 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.6-2mdv2010.0
+ Revision: 383771
- fix libc version check

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.6-1mdv2010.0
+ Revision: 383755
- do some speac file cleaning

  + Jérôme Brenier <incubusss@mandriva.org>
    - initial package python-pyinotify
    - Created package structure for python-pyinotify.

